Name:          libmad
Epoch:         1
Version:       0.16.4
Release:       1mamba
Summary:       A library for high-quality mpeg audio decoding
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://www.underbit.com/products/mad/
Source0:       https://codeberg.org/tenacityteam/libmad.git/%{version}/libmad-%{version}.tar.bz2
#Source:        https://sourceforge.net/projects/mad/files/libmad/%{version}/libmad-%{version}.tar.gz
Patch0:        libmad-0.15.1b-gcc-4.3.patch
Patch1:        libmad-0.15.1b-length-check.patch
Patch2:        libmad-0.15.1b-md_size.patch
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
## AUTOBUILDREQ-END

%description
LibMad is a library for high-quality mpeg audio decoding.
It currently supports MPEG-1 and the MPEG-2 extension to lower sampling frequencies, as well as the de facto MPEG 2.5 format.
All three audio layers (Layer I, Layer II, and Layer III (i.e. MP3)) are fully implemented.

%package devel
Summary:       Header files and static library for development with libmad
Group:         Development/Libraries
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description devel
LibMad is a library for high-quality mpeg audio decoding.It currently supports MPEG-1 and the MPEG-2 extension to lower sampling frequencies, as well as the de facto MPEG 2.5 format.
All three audio layers (Layer I, Layer II, and Layer III (i.e. MP3)) are fully implemented.
This is the devel package.

%debug_package

%prep
%setup -q

%build
%cmake

%cmake_build

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%cmake_install

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%{_libdir}/libmad.so.*
%doc COPYING COPYRIGHT CREDITS

%files devel
%defattr(-, root, root)
%{_includedir}/*.h
%{_libdir}/libmad.so
%dir %{_libdir}/cmake/mad
%{_libdir}/cmake/mad/mad*.cmake
%{_libdir}/pkgconfig/mad.pc
%doc CHANGES TODO

%changelog
* Thu Sep 28 2023 Automatic Build System <autodist@mambasoft.it> 0.16.4-1mamba
- automatic version update by autodist

* Fri Sep 01 2023 Silvan Calarco <silvan.calarco@mambasoft.it> 0.16.3-1mamba
- update to 0.16.3

* Thu Jul 06 2023 Silvan Calarco <silvan.calarco@mambasoft.it> 0.15.1b-6mamba
- revert to 0.15.1b (bump epoch; 0.16.x does no longer exist and is incompatible e.g. with ocaml-mad)

* Sun Sep 11 2022 Automatic Build System <autodist@mambasoft.it> 0.16.3-1mamba
- automatic version update by autodist

* Sat Jul 23 2022 Silvan Calarco <silvan.calarco@mambasoft.it> 0.16.2-1mamba
- update to 0.16.2

* Sat Dec 12 2020 Silvan Calarco <silvan.calarco@mambasoft.it> 0.15.1b-5mamba
- rebuilt with debug package

* Sat Dec 18 2010 Silvan Calarco <silvan.calarco@mambasoft.it> 0.15.1b-4mamba
- added patch for build with gcc >= 4.3

* Wed Apr 30 2008 Aleph0 <aleph0@openmamba.org> 0.15.1b-3mamba
- specfile updated

* Wed Jun 01 2005 Davide Madrisan <davide.madrisan@qilinux.it> 0.15.1b-2qilnx
- specfile updated

* Fri Oct 01 2004 Davide Madrisan <davide.madrisan@qilinux.it> 0.15.1b-1qilnx
- update to version 0.15.1b by autospec
- added the mad.pc file needed by some software (gst-plugins for instance)

* Sun Dec 21 2003 Silvan Calarco <silvan.calarco@mambasoft.it> 0.15.0b-1qilnx
- first build
